using System.Collections;
using System.ComponentModel;

namespace Dapfor.Net.Demo.Examples.DataBinding.BindingToMultipleSources
{
    /// <summary>
    /// Represents a collection of multiple data sources
    /// </summary>
    public class DataSourceCollection : IListSource
    {
        private readonly IList _listSource = new ArrayList();

        #region IListSource Members

        public IList GetList()
        {
            return _listSource;
        }

        public bool ContainsListCollection
        {
            get { return true; }
        }

        #endregion
    }
}