using System.ComponentModel;

namespace Dapfor.Net.Demo.Examples.GridBasics.Highlighting
{
    public class TestClass : INotifyPropertyChanged
    {
        private int field1;
        private int field2;
        private int field3;
        private int field4;
        private int field5;
        private int field6;
        private int field7;
        private int field8;
        private int field9;
        private int field10;

        public int Field1
        {
            get { return field1; }
            set
            {
                field1 = value;
                NotifyUpdate("Field1");
            }
        }

        public int Field2
        {
            get { return field2; }
            set
            {
                field2 = value;
                NotifyUpdate("Field2");
            }
        }

        public int Field3
        {
            get { return field3; }
            set
            {
                field3 = value;
                NotifyUpdate("Field3");
            }
        }

        public int Field4
        {
            get { return field4; }
            set
            {
                field4 = value;
                NotifyUpdate("Field4");
            }
        }

        public int Field5
        {
            get { return field5; }
            set
            {
                field5 = value;
                NotifyUpdate("Field5");
            }
        }

        public int Field6
        {
            get { return field6; }
            set
            {
                field6 = value;
                NotifyUpdate("Field6");
            }
        }

        public int Field7
        {
            get { return field7; }
            set
            {
                field7 = value;
                NotifyUpdate("Field7");
            }
        }

        public int Field8
        {
            get { return field8; }
            set
            {
                field8 = value;
                NotifyUpdate("Field8");
            }
        }

        public int Field9
        {
            get { return field9; }
            set
            {
                field9 = value;
                NotifyUpdate("Field9");
            }
        }

        public int Field10
        {
            get { return field10; }
            set
            {
                field10 = value;
                NotifyUpdate("Field10");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        private void NotifyUpdate(string fieldName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(fieldName));
            }
        }
    }
}