using System.Windows.Forms;

namespace Dapfor.Net.Demo.Internal
{
    public class StaticEdgeTextBox : TextBox
    {
        protected override CreateParams CreateParams
        {
            get
            {
                CreateParams p = base.CreateParams;
                p.Style &= p.Style ^ 0x00800000; //WS_BORDER
                p.ExStyle = 0x00020000; //WS_EX_STATICEDGE
                return p;
            }
        }   
    }
}