using System;
using Dapfor.Net.Data;
using Dapfor.Net.Ui;

namespace Dapfor.Net.Demo.Examples.Features.CustomFilter
{
    /// <summary>
    /// The objects of this class will be inserted into the <see cref="Grid"/>. 
    /// </summary>
    public class DataObject 
    {
        #region Fields 

        private int _value0;
        private int _value1;
        private int _value2;
        private int _value3;
        private int _value4;
        private int _value5;
        private int _value6;
        private int _value7;
        private int _value8;
        private int _value9;

        #endregion

        #region Constructor

        public DataObject(Random r)
        {
            if (r != null)
            {
                _value0 = r.Next() % 30;
                _value1 = r.Next() % 100;
                _value2 = r.Next() % 200;
                _value3 = r.Next() % 400;
                _value4 = r.Next() % 30;
                _value5 = r.Next() % 600;
                _value6 = r.Next() % 30;
                _value7 = r.Next() % 800;
                _value8 = r.Next() % 900;
                _value9 = r.Next() % 1000;
            }
        }

        #endregion

        #region Public properties

        [Field("Id0")]
        public int Value0
        {
            get { return _value0; }
        }

        [Field("Id1")]
        public int Value1
        {
            get { return _value1; }
        }

        [Field("Id2")]
        public int Value2
        {
            get { return _value2; }
        }

        [Field("Id3")]
        public int Value3
        {
            get { return _value3; }
        }

        [Field("Id4")]
        public int Value4
        {
            get { return _value4; }
        }

        [Field("Id5")]
        public int Value5
        {
            get { return _value5; }
        }

        [Field("Id6")]
        public int Value6
        {
            get { return _value6; }
        }

        [Field("Id7")]
        public int Value7
        {
            get { return _value7; }
        }

        [Field("Id8")]
        public int Value8
        {
            get { return _value8; }
        }

        [Field("Id9")]
        public int Value9
        {
            get { return _value9; }
        }

        #endregion
    }
}